@import url("https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap");

:root {
  --color-negro: #282828;
  --color-naranja: #f05b40;
}

body,
html {
  background-color: white;
  overflow-x: hidden;
  font-family: "Montserrat", sans-serif;
}

.hamburger-celu {
  display: none;
}

.sidenav {
  display: none;
}

.navbar {
  height: 80px;
  border-bottom: 3px solid var(--color-naranja);
  background-color: white;
  position: fixed;
  top: 0;
  width: 100%;
}

.nav-link {
  font-size: 1.1em;
  margin: 0px 5px;
  transition: all 0.5s;
}

.nav-link.active {
  color: var(--color-naranja) !important;
  font-weight: bold;
}

.navbar .nav-link:hover {
  color: var(--color-naranja);
}

.logo {
  width: 200px;
}

.carousel-item img {
  object-fit: cover;
  object-position: center;
}

.contenedor-productos {
  text-align: center;
  margin-top: 40px;
  border: 1px solid #f05a4045;
  border-radius: 20px;
  padding: 30px;
  min-height: 638px;
  background-color: #f8f8ff;
}

.contenedor-productos .row .col-12 {
  display: flex;
  justify-content: center;
}

.container-textos {
  margin-top: 25px;
}

.nuestros-texto {
  color: var(--color-naranja);
  margin: -15px;
}

.productos-texto {
  color: var(--color-naranja);
  font-weight: bold;
  font-size: 2.2em;
  margin: 0;
}

.card-producto {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: flex-start;
  width: 350px;
  max-width: 100%;
  height: 300px;
  background: white;
  border-radius: 20px;
  transition: 0.5s;
  box-shadow: 0 35px 80px rgba(0, 0, 0, 0.15);
}

.card-producto:hover {
  height: 455px;
  cursor: pointer;
}

.card-producto .img-box {
  position: absolute;
  top: 20px;
  width: 150px;
  height: 220px;
  border-radius: 12px;
  overflow: hidden;
  transition: 0.5s;
}

.card-producto:hover .img-box {
  top: -75px;
  scale: 0.8;
  /* box-shadow: 0 15px 45px rgba(0, 0, 0, 0.2); */
}

.card-producto .img-box img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.card-producto .content {
  position: absolute;
  top: 252px;
  width: 100%;
  height: 35px;
  padding: 0 30px;
  text-align: center;
  overflow: hidden;
  transition: 0.5s;
}

.card-producto:hover .content {
  top: 130px;
  height: 300px;
}

.card-producto .content h2 {
  font-size: 1.5rem;
  font-weight: 700;
  color: var(--color-naranja);
}

.card-producto .content p {
  color: #333;
  font-size: 0.82em;
}

.card-producto .content a {
  position: relative;
  top: 15px;
  display: inline-block;
  padding: 12px 25px;
  text-decoration: none;
  background: var(--color-naranja);
  color: white;
  font-weight: 500;
}

.card-producto .content a:hover {
  opacity: 0.8;
}

/* PARALLAX EMPRESA */
.parallax-empresa {
  background-image: url("../img/fondo-empresa.webp");
  min-height: 500px;
  background-attachment: fixed;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  border: 1px solid #f05a4045;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

.parallax-empresa h1 {
  color: white;
  font-size: 4em;
  margin-bottom: 40px;
}

.parallax-empresa p {
  color: white;
  font-size: 1.1em;
  margin: 0 300px;
  font-weight: bold;
}

.parallax-empresa img {
  width: 15%;
}

.texto-linea {
  position: absolute;
  bottom: 20px;
  right: 0;
  left: 0;
  font-weight: bold;
  font-size: 1.2em;
  transition: all 0.3s;
}

.contenedor-contacto {
  text-align: center;
  margin-top: 40px;
  border: 1px solid #f05a4045;
  border-radius: 20px;
  height: 550px;
  display: flex;
  background-image: url("../img/textura-contacto.webp");
  /* background-color: #bebebe; */
  background-size: cover;
  background-repeat: no-repeat;
}

.contenedor-contacto ul {
  padding: 0px;
  margin: 0px;
  list-style-type: none;
}

.contenedor-contacto ul a {
  color: black;
  text-decoration: none;
  transition: all 0.6s;
}

.contenedor-contacto li {
  margin: 20px 0;
  font-size: 1.4em;
}

.contenedor-img-contacto {
  height: 100%;
  width: 55%;
}

.contenedor-img-contacto img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  transform: translateX(-2.3%);
  border-top-left-radius: 20px;
  border-bottom-left-radius: 20px;
}

.contenedor-textos-contacto {
  width: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  flex-direction: column;
  transition: all 0.6s;
}

.contenedor-textos-contacto h1 {
  color: var(--color-naranja);
  margin-bottom: 30px;
}

.contenedor-textos-contacto a:hover {
  color: var(--color-naranja);
}

/* CONTENEDOR ICONOS */
.contenedor-iconos {
  min-height: 200px;
  margin: 40px 0;
  background-color: hsl(0, 0%, 92%);
  padding: 0 12%;
  border: 1px solid #f05a4045;
}

.icono-banner {
  min-height: 200px;
  align-items: center;
  display: flex;
  justify-content: center;
  flex-direction: column;
}

.icono-banner .row {
  width: 90%;
}

.texto-banner {
  display: flex;
  flex-direction: column;
  padding-top: 20px;
  text-align: start !important;
}

.texto-banner h5 {
  color: var(--color-naranja);
}

.texto-banner p {
  margin-top: -5px;
}

.icono-banner .icono {
  align-items: center;
  display: flex;
  justify-content: center;
  font-size: 2.5em;
  color: var(--color-naranja);
}

.banner-pinturas {
  width: 100%;
  margin-top: 40px;
}

footer {
  text-align: center;
  background-color: var(--color-negro);
  padding: 200px 60px;
  min-height: 350px;
  border-top: 1px solid var(--color-naranja);
}

footer i {
  color: white;
}

footer img {
  width: 100%;
  height: 200px;
  object-fit: scale-down;
}

footer h6 {
  color: var(--color-naranja);
  font-size: 1.5em;
}

footer ul {
  padding: 0px;
  margin: 0px;
  list-style-type: none;
}

footer ul a,
footer ul i {
  color: white;
  text-decoration: none;
  transition: all 0.6s;
}

footer li {
  margin: 15px 0;
}

footer ul a:hover,
footer ul a i:hover {
  color: var(--color-naranja);
}

.copyright {
  background-color: black;
  height: 80px;
  display: flex;
  justify-content: center;
  align-items: center;
  padding-top: 20px;
  flex-direction: column;
}

.copyright p {
  color: white;
}

.copyright a {
  color: var(--color-naranja);
}

/* BOTON WHATSAPP */
.whatsapp {
  position: fixed;
  width: 60px;
  height: 60px;
  bottom: 92px;
  right: 43px;
  background-color: #25d366;
  color: #fff;
  border-radius: 50px;
  text-align: center;
  font-size: 30px;
  align-content: center;
  z-index: 100;
  display: flex;
  box-shadow: 0px 2px 8px rgba(0, 0, 0);
  align-items: center;
  justify-content: center;
  flex-wrap: nowrap;
  transition: 0.3s;
  text-decoration: none;
}

.whatsapp:hover {
  box-shadow: 0px 5px 15px rgba(0, 0, 0);
  color: #ebebeb;
}

.boton-contacto {
  background-color: var(--color-naranja);
  color: white;
  transition: all 0.5s;
}

.boton-contacto:hover {
  background-color: var(--color-naranja);
  color: white;
  scale: 1.1;
}

/* PANTALLA NOTEBOOK */
@media (max-width: 1280px) and (min-width: 600px) {
  .card-producto .content p {
    font-size: 0.7em;
  }

  .boton-contacto {
    font-size: 0.7em;
  }

  .card-producto:hover {
    height: 420px;
  }

  .contenedor-productos {
    min-height: 610px;
  }
}

/* PANTALLA DE SMARTHPHONE */
@media (max-width: 600px) {
  .whatsapp {
    bottom: 40px;
    right: 10px;
  }

  footer {
    padding: 20px 60px;
  }

  footer img {
    height: 80px !important;
    margin: 30px 0;
  }

  .copyright p {
    font-size: 0.6em;
  }

  footer img {
    height: 50px;
    margin: 30px 0;
  }

  /* ESTO OCULTA LA IMAGEN DEL CONTACTO PARA CELU */
  .contenedor-img-contacto {
    display: none;
  }

  .contenedor-textos-contacto {
    width: 100%;
  }

  .contenedor-textos-contacto h1 {
    margin-bottom: 10px;
  }

  .contenedor-contacto li {
    margin: 5px;
  }

  .contenedor-contacto a {
    font-size: 15px;
  }

  .navbar-toggler {
    display: none;
  }

  .hamburger-celu {
    display: block;
  }

  .sidenav {
    display: block;
    height: 100%;
    width: 0;
    position: fixed;
    z-index: 1;
    top: 0;
    left: -5px;
    background-color: white;
    overflow-x: hidden;
    transition: 0.5s;
    padding-top: 100px;
    z-index: 1000;
    border-right: 1px solid var(--color-naranja);
  }

  .sidenav a {
    padding: 10px 10px 20px 32px;
    text-decoration: none;
    font-size: 16px;
    color: var(--color-naranja);
    display: block;
    transition: 0.3s;
    font-weight: bold;
  }

  .sidenav a:hover {
    color: #f1f1f1;
  }

  .sidenav .closebtn {
    position: absolute;
    top: 0;
    right: 25px;
    font-size: 36px;
    margin-left: 50px;
  }

  .sidenav hr {
    margin: auto;
    width: 80%;
    color: #fdcc00;
  }

  .sidenav img {
    padding: 20px 10px 10px 32px;
    width: 50%;
  }

  .card-producto {
    width: 230px;
    border-radius: 15px;
    margin-bottom: 35px;
  }

  .card-producto:hover {
    height: 400px;
  }

  .card-producto .img-box {
    width: 130px;
    border-radius: 10px;
  }

  .card-producto .content {
    padding: 10px;
  }

  .card-producto .content p {
    font-size: 0.7em;
    padding: 0;
  }

  .card-producto .content a {
    font-size: 0.9em;
  }

  .card-producto .content h2 {
    font-size: 1em;
    margin-bottom: 20px;
  }

  .boton-contacto {
    font-size: 0.7em;
  }

  .parallax-empresa h1 {
    color: white;
    font-size: 2.5em;
    margin-top: 40px;
  }

  .parallax-empresa p {
    color: white;
    font-size: 0.85em;
    font-weight: bold;
    width: 100%;
    padding: 0 30px;
    margin-bottom: 10px;
  }

  .parallax-empresa img {
    width: 50%;
  }

  .carousel {
    margin-top: 80px;
  }

  .contenedor-iconos {
    padding: 0;
  }

  .whatsapp {
    width: 46px;
    height: 46px;
    bottom: 20px;
    right: 15px;
  }

  .progress-wrap {
    bottom: 80px !important;
    right: 15px !important;
  }
}

/* BOTON PARA SUBIR */
.progress-wrap {
  position: fixed;
  right: 50px;
  bottom: 30px;
  height: 46px;
  width: 46px;
  cursor: pointer;
  display: block;
  border-radius: 50px;
  box-shadow: inset 0 0 0 2px rgba(0, 0, 0, 0.2);
  z-index: 10000;
  opacity: 0;
  visibility: hidden;
  transform: translateY(15px);
  -webkit-transition: all 200ms linear;
  transition: all 200ms linear;
}

.progress-wrap.active-progress {
  opacity: 1;
  visibility: visible;
  transform: translateY(0);
}

.progress-wrap::after {
  position: absolute;
  font-family: "Font Awesome 6 Free";
  font-weight: 900;
  content: "\f077";
  text-align: center;
  line-height: 46px;
  font-size: 18px;
  color: var(--color-naranja);
  left: 0;
  top: 0;
  height: 46px;
  width: 46px;
  cursor: pointer;
  display: block;
  z-index: 1;
  -webkit-transition: all 200ms linear;
  transition: all 200ms linear;
}

.lightScrollIcon::after {
  color: #ecedf3 !important;
}

.progress-wrap:hover::after {
  opacity: 0;
}

.progress-wrap::before {
  position: absolute;
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  content: "\f077";
  text-align: center;
  line-height: 46px;
  font-size: 18px;
  opacity: 0;
  background-image: linear-gradient(298deg, #da2c4d, #f8ab37);
  -webkit-background-clip: text;
  background-clip: text;
  -webkit-text-fill-color: transparent;
  left: 0;
  top: 0;
  height: 46px;
  width: 46px;
  cursor: pointer;
  display: block;
  z-index: 2;
  -webkit-transition: all 200ms linear;
  transition: all 200ms linear;
}

.progress-wrap:hover::before {
  opacity: 1;
}

.progress-wrap svg path {
  fill: none;
}

.progress-wrap svg.progress-circle path {
  stroke: var(--color-naranja);
  stroke-width: 4;
  box-sizing: border-box;
  -webkit-transition: all 200ms linear;
  transition: all 200ms linear;
}